package ClassesJava;

import java.sql.Time;

import oracle.sql.TIMESTAMP;

public class Profil {

	private String Titre_profil;
	private Time Houverture;
	private Time Hfermerture;
	private int idLieux;
	
	
	public Profil() {}
	
	/**
     * Constructeur du Profil.
     * 
     * @param le titre du profil, l'heure d'ouverture, l'heure de fermerture, l'id du lieu
     *           
     */

	public Profil(String Titre_profil, Time Houverture, Time Hfermerture, int idLieux) {
	
		this.Titre_profil = Titre_profil;
		this.Houverture = Houverture;
		this.Hfermerture = Hfermerture;
		this.idLieux = idLieux;
	}
	
	public String getTitre_profil() {
		return Titre_profil;
	}

	public void setTitre_profil(String titre_profil) {
		Titre_profil = titre_profil;
	}

	public Time getHouverture() {
		return Houverture;
	}

	public void setHouverture(Time houverture) {
		Houverture = houverture;
	}

	public Time getHfermerture() {
		return Hfermerture;
	}

	public void setHfermerture(Time hfermerture) {
		Hfermerture = hfermerture;
	}

	public int getIdLieux() {
		return idLieux;
	}

	public void setIdLieux(int idLieux) {
		this.idLieux = idLieux;
	}
	
	public String afficher() {
		
		String s = ("Titre Profil : "+ Titre_profil + "  Heure Ouverture : " + Houverture + "  Heure fermerture : " + Hfermerture + "Id Lieu associé : " + idLieux);
		
			return s;
			
		}
}


	